Package Base Details: libxkbcommon-git

Git Clone URL: https://aur.archlinux.org/libxkbcommon-git.git (read-only, click to copy)
Submitter: ivenvd
Maintainer: IslandC0der (chaotic-aur)
Last Packager: IslandC0der
Votes: 25
Popularity: 0.000000
First Submitted: 2010-11-03 10:59 (UTC)
Last Updated: 2022-05-29 18:30 (UTC)

Latest Comments

ms178 commented on 2022-05-21 18:39 (UTC)

This PKGBUILD is broken since the project moved to Meson as build system. You can get a working new PKGBUILD in the meantime here: https://github.com/ms178/archpkgbuilds/blob/main/packages/libxkbcommon/PKGBUILD

carlosnewmusic commented on 2021-05-08 01:11 (UTC)

Clonando en 'libxkbcommon'... hecho. ==> Iniciando prepare()... /var/tmp/pamac-build-carlos/libxkbcommon-git/PKGBUILD: línea 25: ./autogen.sh: No existe el fichero o el directorio ==> ERROR: Se produjo un fallo en prepare().

snakeroot commented on 2014-10-13 12:32 (UTC)

PKGBUILD should read: provides=('libxkbcommon' 'libxkbcommon-X11') conflicts=('libxkbcommon' 'libxkbcommon-X11') "replaces" is for namechanges and shouldn't generally be used: https://wiki.archlinux.org/index.php/Arch_packaging_standards#AUR_packages

quequotion commented on 2014-07-22 14:11 (UTC)

Needs 'libxkbcommon-x11' in provides() and replaces()

haawda commented on 2013-06-17 17:49 (UTC)

Project moved to github.

EdwardXXIV commented on 2013-06-04 09:37 (UTC)

Hi! Thanks for maintaining this package! Here's an updated PKGBUILD for the new makepkg git auto update mechanism: # Maintainer: Joel Teichroeb <joel@teichroeb.net> _gitname="libxkbcommon" pkgname=libxkbcommon-git pkgver=1164.a392d26 pkgrel=1 epoch=1 pkgdesc="A library to handle keyboard descriptions." url="http://xkbcommon.org/" arch=(i686 x86_64) license=('custom') makedepends=('git' 'xorg-util-macros' 'xkeyboard-config') provides=('libxkbcommon') replaces=('libxkbcommon') conflicts=('libxkbcommon') options=(!libtool) source=("git://anongit.freedesktop.org/xorg/lib/libxkbcommon") md5sums=(SKIP) pkgver() { cd $_gitname echo $(git rev-list --count master).$(git rev-parse --short master) } build() { cd ${_gitname} ./autogen.sh --prefix=/usr make } package() { cd ${_gitname} make DESTDIR=${pkgdir} install }

h8h commented on 2012-11-16 20:35 (UTC)

@klusark hi again :) please add dep for xkeyboard-config, otherwise you'll get the Error: "failed to add default include path /usr/share/X11/xkb and failed to create XKB context"

klusark commented on 2012-09-14 01:09 (UTC)

bluetech, done! But, I can't test it as I don't have a computer without X right now so I'll just take your word on that.

commented on 2012-09-11 19:06 (UTC)

klusark, thank you. You can also remove xproto and kbproto now, we don't use them for the build any more.

klusark commented on 2012-07-25 01:03 (UTC)

@bluetech done other than I removed pkgconfig, flex, and bison as they are assumed to be provided by base-devel

commented on 2012-07-24 18:04 (UTC)

Could you please change the dependencies to something like this: makedepends=('git' 'pkgconfig' 'flex' 'bison' 'xorg-util-macros' 'xproto' 'kbproto') Note that there are no runtime dependencies, only build ones. Also libX11 is not needed at all.

Huulivoide commented on 2012-03-29 07:37 (UTC)

the '[ -d build]' is not needed ^_^ it just adds overhead rm -rf will return as succes even if the dir doesn't exist

ivenvd commented on 2012-02-16 01:51 (UTC)

@jristz Maybe a server error, they should fix this later.

commented on 2012-02-16 01:49 (UTC)

I cannot reach the server, the server not accept conections :(

c00kiemon5ter commented on 2012-02-15 12:32 (UTC)

@Det libxkbcommon will be the stable version of this, once there is one

c00kiemon5ter commented on 2012-02-15 12:31 (UTC)

using Flex as a build dependency fixes the errors with xkbcom as mentioned by ludmiloff. Please update this to match that requirement.

Det commented on 2010-11-20 21:09 (UTC)

Why does this exist? There's already libxkbcommon in AUR: http://aur.archlinux.org/packages.php?ID=40796 (though it should have _this_ name).

ivenvd commented on 2010-11-05 05:53 (UTC)

@alvin_rxg Thanks, fixed.

commented on 2010-11-05 04:35 (UTC)

when compile, here comes an error: configure.ac:44: error: must install xorg-macros before running autoconf/autogen.sh pls add xorg-util-macros for dependencies